#include<bits/stdc++.h>

using namespace std;


int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    int n, q;
    cin >> n >> q;
    vector<int> a(n);
    for(int i = 0; i < n; i++) {
        cin >> a[i];
    }
    sort(a.begin(), a.end());
    for(int i = 0; i < q; i++) {
        bool l(0), d(0);
        int b, ans, levo, desno;
        cin >> b;
        int x = lower_bound(a.begin(), a.end(), b) - a.begin();
        if(b > a[x])
            d = 1;
        if(b < a[x])
            l = 1;
        if(l == 0 && d == 0) {
            levo = x;
            desno = n - 1 - x;
            ans = abs(levo - desno);
            if(levo > desno)
                ans --;
        }
        if(l == 1 && d == 0) {
            levo = x;
            desno = n - x;
            ans = abs(levo - desno);
                if(levo > desno)
                    ans --;
        }
        if(l == 0 && d == 1) {            
            x++;
            levo = x + 1;
            desno = 0;
            ans = levo -1;
        }
        if(i != q - 1)
        cout << ans << '\n';
        else
            cout << ans;
    }

    return 0;
}